org.apache.jorphan.gui

## Class JLabeledChoice

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - org.apache.jorphan.gui.JLabeledChoice

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, JLabeledField

      public class JLabeledChoice
      extends javax.swing.JPanel
      implements JLabeledField

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JLabeledChoice()` Default constructor, The label and the Text field are left empty.
    `JLabeledChoice(java.lang.String pLabel, boolean editable)`
    `JLabeledChoice(java.lang.String pLabel, java.lang.String[] items)` Constructs a non-editable combo-box with the label displaying the passed text.
    `JLabeledChoice(java.lang.String pLabel, java.lang.String[] items, boolean editable)` Constructs a combo-box with the label displaying the passed text.
    `JLabeledChoice(java.lang.String pLabel, java.lang.String[] items, boolean editable, boolean withButtons)` Constructs a combo-box with the label displaying the passed text.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChangeListener(javax.swing.event.ChangeListener pChangeListener)` Adds a change listener, that will be notified when the text in the text field is changed.
    `void` | `addValue(java.lang.String item)`
    `java.util.List<javax.swing.JComponent>` | `getComponentList()` Get the label `JLabel` followed by the combo-box @link `JComboBox`.
    `java.lang.String[]` | `getItems()`
    `java.lang.String` | `getLabel()` Returns the text of the label.
    `int` | `getSelectedIndex()`
    `java.lang.Object[]` | `getSelectedItems()`
    `java.lang.String` | `getText()` Returns the text in the Text Field.
    `java.lang.String` | `getToolTipText()` Returns the tooltip string that has been set with setToolTipText
    `void` | `removeChangeListener(javax.swing.event.ChangeListener pChangeListener)` Removes a change listener.
    `void` | `setChoiceListEnabled(boolean enabled)`
    `void` | `setEditable(boolean editable)`
    `void` | `setLabel(java.lang.String pLabel)` Set the text displayed in the label.
    `void` | `setSelectedIndex(int index)`
    `void` | `setText(java.lang.String pText)` Set the text displayed in the Text Field.
    `void` | `setToolTipText(java.lang.String text)` Registers the text to display in a tool tip.
    `void` | `setValues(java.lang.String[] items)`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JLabeledChoice

          public JLabeledChoice()

      Default constructor, The label and the Text field are left empty.

    - #### JLabeledChoice

          public JLabeledChoice(java.lang.String pLabel,
                                boolean editable)

    - #### JLabeledChoice

          public JLabeledChoice(java.lang.String pLabel,
                                java.lang.String[] items)

      Constructs a non-editable combo-box with the label displaying the passed text.
      Parameters:
        `pLabel` - - the text to display in the label.
        `items` - - the items to display in the Combo box

    - #### JLabeledChoice

          public JLabeledChoice(java.lang.String pLabel,
                                java.lang.String[] items,
                                boolean editable)

      Constructs a combo-box with the label displaying the passed text.
      Parameters:
        `pLabel` - - the text to display in the label.
        `items` - - the items to display in the Combo box
        `editable` - - if true, then Add and Delete buttons are created.

    - #### JLabeledChoice

          public JLabeledChoice(java.lang.String pLabel,
                                java.lang.String[] items,
                                boolean editable,
                                boolean withButtons)

      Constructs a combo-box with the label displaying the passed text.
      Parameters:
        `pLabel` - - the text to display in the label.
        `items` - - the items to display in the Combo box
        `editable` - - the box is made editable
        `withButtons` - - if true, then Add and Delete buttons are created.

  - ### Method Detail

    - #### getComponentList

          public java.util.List<javax.swing.JComponent> getComponentList()

      Get the label `JLabel` followed by the combo-box @link `JComboBox`.
      Specified by:
        `getComponentList` in interface `JLabeledField`

    - #### setEditable

          public void setEditable(boolean editable)

    - #### addValue

          public void addValue(java.lang.String item)

    - #### setValues

          public void setValues(java.lang.String[] items)

    - #### setChoiceListEnabled

          public void setChoiceListEnabled(boolean enabled)

    - #### setLabel

          public void setLabel(java.lang.String pLabel)

      Set the text displayed in the label.
      Specified by:
        `setLabel` in interface `JLabeledField`
      Parameters:
        `pLabel` - The new label text.

    - #### setText

          public void setText(java.lang.String pText)

      Set the text displayed in the Text Field.
      Specified by:
        `setText` in interface `JLabeledField`
      Parameters:
        `pText` - The new text to display in the text field.

    - #### setSelectedIndex

          public void setSelectedIndex(int index)

    - #### getText

          public java.lang.String getText()

      Returns the text in the Text Field.
      Specified by:
        `getText` in interface `JLabeledField`
      Returns:
        The text in the Text Field. Never returns null.

    - #### getSelectedIndex

          public int getSelectedIndex()

    - #### getSelectedItems

          public java.lang.Object[] getSelectedItems()

    - #### getItems

          public java.lang.String[] getItems()

    - #### getLabel

          public java.lang.String getLabel()

      Returns the text of the label.
      Returns:
        The text of the label.

    - #### setToolTipText

          public void setToolTipText(java.lang.String text)

      Registers the text to display in a tool tip. The text displays when the cursor lingers over the component.
      Overrides:
        `setToolTipText` in class `javax.swing.JComponent`
      Parameters:
        `text` - the string to display; if the text is null, the tool tip is turned off for this component

    - #### getToolTipText

          public java.lang.String getToolTipText()

      Returns the tooltip string that has been set with setToolTipText
      Overrides:
        `getToolTipText` in class `javax.swing.JComponent`
      Returns:
        the text of the tool tip

    - #### addChangeListener

          public void addChangeListener(javax.swing.event.ChangeListener pChangeListener)

      Adds a change listener, that will be notified when the text in the text field is changed. The ChangeEvent that will be passed to registered listeners will contain this object as the source, allowing the new text to be extracted using the `getText` method.
      Specified by:
        `addChangeListener` in interface `JLabeledField`
      Parameters:
        `pChangeListener` - The listener to add

    - #### removeChangeListener

          public void removeChangeListener(javax.swing.event.ChangeListener pChangeListener)

      Removes a change listener.
      Parameters:
        `pChangeListener` - The change listener to remove.

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.